#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=_resources\InfoBox_Demo.ico
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_UseUpx=y
#AutoIt3Wrapper_Res_Comment=InfoBox Graphic & Sound Demo
#AutoIt3Wrapper_Res_Description=Infobox Demo
#AutoIt3Wrapper_Res_Fileversion=2.6.0.0
#AutoIt3Wrapper_Res_LegalCopyright=© 2016/17 by Cape-City
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_Run_Au3Stripper=y
#Au3Stripper_Parameters=/sv /mo
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#cs ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

 AutoIt Version:	3.3.14.2
 Author:			Cape-City

 Script Name:		InfoBox Demo - Copyright 2016/17

 Script Function:	Graphic & Sound Demo

 Created with ISN AutoIt Studio v. 1.03

#ce ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; AutoIt Include-Dateien einbinden
; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#include <Array.au3>																															; Include AutoIt
#include <ButtonConstants.au3>																													; Include AutoIt
#include <Crypt.au3>																															; Include AutoIt
#include <FileConstants.au3>																													; Include AutoIt
#include <FontConstants.au3>																													; Include AutoIt
#include <GDIPlus.au3>																															; Include AutoIt
#include <GUIConstantsEx.au3>																													; Include AutoIt
#include <GuiSlider.au3>																														; Include AutoIt
#include <Inet.au3>																																; Include AutoIt
#include <Memory.au3>																															; Include AutoIt
#include <Misc.au3>																																; Include AutoIt
#include <MsgBoxConstants.au3>																													; Include AutoIt
#include <ProgressConstants.au3>																												; Include AutoIt
#include <Sound.au3>																															; Include AutoIt
#include <StaticConstants.au3>																													; Include AutoIt
#include <String.au3>																															; Include AutoIt
#include <Timers.au3>																															; Include AutoIt
#include <WinAPIFiles.au3>																														; Include AutoIt
#include <WindowsConstants.au3>																													; Include AutoIt

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Variablen als Global initialisieren, da sie Funktionsübergreifend Verwendung finden
; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Global Const $sApplication_Name		= "InfoBox Graphic & Sound Demo"																			; Globale Variable definieren: Application_Name
Global Const $sApplication_Version	= "Version 2.6.0.0 from 2016.12.20"																			; Globale Variable definieren: Application_Version
Global Const $sApplication_Copyright	= "2016/17"																								; Globale Variable definieren: Application_Copyright
Global Const $sApplication_IconFile	= @ScriptDir & "\_resources\InfoBox_Demo.ico"																; Globale Variable definieren: Application_IconFile

Global $hInfoButton																																; Globale Variable initialisieren

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Wird das Programm bereits ausgeführt?
; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

If _Singleton ($sApplication_Name, 1) = 0 Then																									; If-Abfrage: Läuft bereits eine weitere Instanz?

	MsgBox($MB_TOPMOST + $MB_ICONERROR, "Warning", "Another instance of " & Chr (34) & $sApplication_Name & Chr (34) & _						; Meldung ausgeben (Teil 1)
										" is already running!", 10)																				; Meldung ausgeben (Teil 2)
	Exit																																		; Programm verlassen

EndIf																																			; Ende der If-Abfrage: Läuft bereits eine weitere Instanz?

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Opt ("TrayMenuMode", 1)																															; Kein TrayIcon Menü
_GDIPlus_Startup()																																; GDIPlus: Startup

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Eigene Include-Dateien einbinden
; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#include "_include\_DeCompress_MEM_Data.au3"																									; Include
#include "_include\_Display_CenteredMsg.au3"																									; Include
#include "_include\_Fonts_V02.au3"																												; Include
#include "_include\_GIFFiles_V07.au3"																											; Include
#include "_include\_GIFFiles_Exit.au3"																											; Include
#include "_include\_GIFFiles_Scroller_V02.au3"																									; Include
#include "_include\_InfoBox_V25.au3"																											; Include
#include "_include\_JPGFiles_V02.au3"																											; Include
#include "_include\_Load_BMP_from_MEM_V02.au3"																									; Include
#include "_include\_Load_FONT_from_MEM.au3"																										; Include
#include "_include\_Load_MUSIC_from_MEM_V03.au3"																								; Include
#include "_include\_Sounds_V07.au3"																												; Include
#include "_include\_WhichKeyWasPressed.au3"																										; Include

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

_InfoBox()
Terminate()

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Funktion: Terminate
; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Func Terminate()																																; Funktionsstart: Terminate

	MsgBox($MB_TOPMOST + $MB_ICONINFORMATION, "Exit", "Good bye!", 5)																			; Messagebox ausgeben
	Exit																																		; Programm beenden

;~ 	_KeyProc (0, 0, 0)																															; wird niemals angesprungen, steht nur drin, damit der AU3Stripper die Func nicht löscht
;~ 	_GUI_GetMsg()																																; wird niemals angesprungen, steht nur drin, damit der AU3Stripper die Func nicht löscht

EndFunc																																			; Funktionsende: Terminate

; ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
